Group: Graphical desktop/Other
# BEGIN SourceDeps(oneline):
BuildRequires: imake libICE-devel libSM-devel libXt-devel libopenmotif-devel xorg-cf-files
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Completely configurable key-combo grabber for blackbox
Name: bbkeys
Version: 0.9.0
Release: alt2_46
License: MIT
URL: http://bbkeys.sourceforge.net/
Source: http://downloads.sf.net/bbkeys/bbkeys-%{version}.tar.gz
Patch0: bbkeys-0.9.0-gcc43.patch
BuildRequires:  gcc-c++
BuildRequires:  gcc
BuildRequires: blackbox-devel, perl-devel
BuildRequires: libX11-devel, libXext-devel
BuildRequires: autoconf automake
Source44: import.info

%description
bbkeys is a configurable key-grabber designed for the blackbox window manager
which is written by Brad Hughes.  It is based on the bbtools object code
created by John Kennis and re-uses some of the blackbox window manager classes
as well.  bbkeys is easily configurable via directly hand-editing the user's
~/.bbkeysrc file, or by using the GUI total blackbox configurator, bbconf.


%prep
%setup -q
%patch0 -p1



%build
autoreconf -vi
%configure --datadir=%{_sysconfdir}
%make_build


%install
%makeinstall_std
# Clean this up, we package the exact same files cleanly in %%doc
# and it ends up in the wrong place with our override anyway
rm -rf %{buildroot}%{_sysconfdir}/doc/


%files
%doc AUTHORS BUGS ChangeLog LICENSE NEWS README TODO
%dir %{_sysconfdir}/bbkeys/
%config(noreplace) %{_sysconfdir}/bbkeys/bbkeysrc
%config(noreplace) %{_sysconfdir}/bbkeys/defaultStyle
%{_bindir}/bbkeys
%{_mandir}/man1/bbkeys.1*
%{_mandir}/man5/bbkeysrc.5*


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.9.0-alt2_46
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.9.0-alt2_44
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.9.0-alt2_43
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.9.0-alt2_41
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.9.0-alt2_40
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.9.0-alt2_39
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.9.0-alt2_38
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt2_37
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_37
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_36
- update to new release by fcimport

* Sat Sep 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_35
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_20
- update to new release by fcimport

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_19
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_18
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_17
- update to new release by fcimport

* Wed Jun 06 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_16
- fc import

